ATOMIC_ADD_NEGATIVE(9)

NAME
atomic_add_negative - add and test if negative

SYNOPSIS

int atomic_add_negative (int i, atomic_t * v);

ARGUMENTS

i   integer value to add

v   pointer of type atomic_t

DESCRIPTION

Atomically adds i to v and returns true if the result is negative, or false when result is greater than or equal to zero.